Subject: bug#37667: 27.0.50; Tab Bar display problems with more than 5 tabs

From: martin rudalics <[email-masked]>
Date: Fri, 11 Oct 2019 10:17:13 +0200

> 1. Use something like word-wrap in the tab-bar to wrap
 >     to the second line non-broken tabs at tab boundaries;

That's what I did in frame-tabs.el.  There I tried to use U-200B as
separator but word-wrap couldn't handle it.

 > 2. Disable wrapping to the second line since it's not supported in -nw;

-nw should support it.

 > 3. Then truncate tab names to fit all tabs into the first line;

Rather not.

 > 4. Or don't truncate but allow scrolling tabs with mouse wheel;

IIRC XEmacs had that with the mode line.  Not really useful IMHO.

martin